function w = dwash(p0,gamma1,p1,gamma2,p2)
gamma=0.5*(gamma1+gamma2);
R1x=p0(1)-p1(1);
R1y=p0(2)-p1(2);
R1=sqrt(R1x^2+R1y^2);
R2x=p0(1)-p2(1);
R2y=p0(2)-p2(2);
R2=sqrt(R2x^2+R2y^2);
Lx=p2(1)-p1(1);
Ly=p2(2)-p1(2);
%
w=(gamma/(4*pi))*((Lx*R1x+Ly*R1y)/(R1*(Lx*R1y-Ly*R1x)).....
                  -(Lx*R2x+Ly*R2y)/(R2*(Lx*R2y-Ly*R2x)));
