function [cl,cm] = gtclcm(wng,alpha,AOA,CL,CM)
%
% Search for the proper angle of attack range
%
amin=min(AOA(wng,:));
amax=max(AOA(wng,:));
[nwngs,N]=size(AOA);
%
if alpha < amin,
  dCLda=(CL(wng,2)-CL(wng,1))/(AOA(wng,2)-AOA(wng,1));
  dCMda=(CM(wng,2)-CM(wng,1))/(AOA(wng,2)-AOA(wng,1));
  cl=CL(wng,1)+(alpha-AOA(wng,1))*dCLda;
  cm=CM(wng,1)+(alpha-AOA(wng,1))*dCMda;
end
if amin <= alpha & alpha <= amax,
  i=1;
  while alpha > AOA(wng,i)
    i=i+1;
  end 
  dCLda=(CL(wng,i)-CL(wng,i-1))/(AOA(wng,i)-AOA(wng,i-1));
  dCMda=(CM(wng,i)-CM(wng,i-1))/(AOA(wng,i)-AOA(wng,i-1));
  cl=CL(wng,i-1)+(alpha-AOA(wng,i-1))*dCLda;
  cm=CM(wng,i-1)+(alpha-AOA(wng,i-1))*dCMda;
end
if amax < alpha,
  dCLda=(CL(wng,N)-CL(wng,N-1))/(AOA(wng,N)-AOA(wng,N-1));
  dCMda=(CM(wng,N)-CM(wng,N-1))/(AOA(wng,N)-AOA(wng,N-1));
  cl=CL(wng,N-1)+(alpha-AOA(wng,N-1))*dCLda;
  cm=CM(wng,N-1)+(alpha-AOA(wng,N-1))*dCMda;
end
