function aind = gtinducd3(NW,N,x,y,gamma,offst,AIC)
for i=1:NW,
  vortx(i)=avgamma(gamma,y,i,N);
end
k1=0;
for wngi=1:NW,
  for sctni=1:N(wngi),
    k1=k1+1;
    p0=[x(k1),y(k1)];
    aind(k1)=0.0;
%
% Calculate the induced angle of attack at p0 due to all
% vortex filaments
%
    k2=0;
    indx=0;
    for i=1:NW,
      k2=k2+1;
      indx=indx+1;
      p1=[x(k2),(y(k2)+offst(indx))];
      k2=k2-1+N(i);
      indx=indx+1;
      p2=[x(k2),(y(k2)+offst(indx))];
      aind(k1)=aind(k1)+dwash2(p0,-vortx(i),p1)+dwash2(p0,vortx(i),p2);
    end
    aind(k1)=aind(k1)+AIC(k1,:)*gamma;
%
  end
end
%
% Convert to degrees
aind=(180/pi)*aind;
